> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/unassign-windows365.md).

# Windows365 の割り当てを解除

### 説明

ユーザーの Windows 365 割り当てを削除し、関連する Cloud PC のプロビジョニング解除を行います。必要に応じて、猶予期間を直ちに終了して削除をより早く開始します。

### 場所

User → General → Unassign Windows365

**Runbook の完全名**

rjgit-user\_general\_unassign-windows365

### 詳細

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| バージョン    | 1.0.1                              |
| 必要なモジュール | RealmJoin.RunbookHelper (>= 0.8.9) |
| スケジュール可能 | いいえ                                |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * User.Read.All
    * *グループ メンバーの削除用に、UPN で対象ユーザーを解決します*
  * GroupMember.ReadWrite.All
    * *グループ メンバーを読み取り、ユーザーを Windows 365 グループから削除します*
  * Group.ReadWrite.All
    * *ライセンス グループと構成グループを検索し、割り当てられているライセンスを読み取ります*
  * CloudPC.ReadWrite.All
    * *プロビジョニング ポリシーと Cloud PC を読み取り、猶予期間を終了して Cloud PC を削除します*
  * Organization.Read.All
    * *専用プラン パスでライセンス グループの SKU をマッピングするために /subscribedSkus を読み取ります*

### パラメーター

#### ユーザー名

対象ユーザーのユーザー プリンシパル名。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | はい                       |
| 既定値      |                          |
| 種類       | 文字列                      |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定） |

#### licWin365GroupName

削除する Windows 365 ライセンス グループまたは Frontline プロビジョニング ポリシーの表示名。

| プロパティ   | 値                                                 |
| ------- | ------------------------------------------------- |
| 必須      | いいえ                                               |
| 既定値     | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 種類      | 文字列                                               |
| ポータル表示名 | 削除対象の Windows 365 ライセンス/Frontline プロビジョニング ポリシー   |

#### cfgProvisioningGroupPrefix

プロビジョニング関連の構成グループを検出するために使用するプレフィックス。

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| 必須       | いいえ                                |
| 既定値      | cfg - Windows 365 - Provisioning - |
| 種類       | 文字列                                |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定）           |

#### cfgUserSettingsGroupPrefix

ユーザー設定関連の構成グループを検出するために使用するプレフィックス。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | いいえ                                 |
| 既定値      | cfg - Windows 365 - User Settings - |
| 種類       | 文字列                                 |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定）            |

#### licWin365GroupPrefix

Windows 365 ライセンス グループを検出するために使用されるプレフィックス。

| プロパティ    | 値                            |
| -------- | ---------------------------- |
| 必須       | いいえ                          |
| 既定値      | lic - Windows 365 エンタープライズ - |
| 種類       | 文字列                          |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定）     |

#### skipGracePeriod

true に設定すると、Cloud PC の猶予期間を直ちに終了します。

| プロパティ   | 値               |
| ------- | --------------- |
| 必須      | いいえ             |
| 既定値     | はい              |
| 種類      | ブール値            |
| ポータル表示名 | Cloud PC を直ちに削除 |

#### KeepUserSettingsAndProvisioningGroups

true に設定すると、関連するプロビジョニング グループとユーザー設定グループを削除しません。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | False |
| 種類    | ブール値  |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/unassign-windows365.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
